String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fKiller(lpIndex){
	document.getElementById("Pro_TxtId").value=lpIndex;
	document.getElementById("TxtAc").value="KILLER";
	document.getElementById("Frm").submit();
}

function fEditar(lpIndex){
	var hw=document.getElementById("TxtHW").value;
	Ow("transferencias_editar.php?I="+lpIndex+"&H="+hw,550*ZO(),280*ZO());	
}

function fLoad(){
	document.getElementById("TxtAc").value="UP";
	document.getElementById("Frm").submit();
}

function fLimDet(){
	document.getElementById("TxtCod").value="";
	document.getElementById("TxtDes").value="";
	document.getElementById("TxtMarca").value="";
	document.getElementById("TxtCant").value="";
	document.getElementById("TxtCUni").value="";
	document.getElementById("TxtCod").focus();
}

function fGenPDF(){
	document.getElementById("TxtAc").value="GEN_PDF_1";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fGetTabla(){
var Cod= gv("TxtCod");
var Des= gv("TxtDes");
var Mar= gv("TxtMarca");
var Alm= gv("CboAlm");
if(jL(Des)>0 || jL(Mar)>0 || jL(Cod)>0 ){
	DivDatos = document.getElementById("TAB_AJAX");
	DivCaption = document.getElementById("TAB_CAPTION");
	ajax=CreateAJAX();
	var StrU="aj_tra.php?C=T&P1="+Des+"&P2="+Mar+"&P3="+Cod+"&P4="+Alm;
	//P(StrU);
	ajax.open("GET", StrU);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {
					var StrDatos=ajax.responseText;
					if(StrDatos.trim().length>0){			  
					   DivDatos.innerHTML = StrDatos;
					   DivCaption.style.visibility="visible";
					   DivDatos.style.visibility="visible";	
					}else{
						DivCaption.style.visibility="hidden";
						DivDatos.style.visibility="hidden";	
					}
		   }
	}
	ajax.send(null);
}
}
function CerrarDIV(){
	DivDatos = document.getElementById("TAB_AJAX");
	DivCaption = document.getElementById("TAB_CAPTION");
	DivCaption.style.visibility="hidden";
	DivDatos.style.visibility="hidden";	
	document.getElementById("TxtDes").focus();
}

//**************************************************************************
function z(lpStrId){
	fGetProdDatos_Id(lpStrId);
}
//**************************************************************************
function fGetProdDatos_Id(lpStrId){
	if(lpStrId.trim().length>0){
	//
	var ip=lpStrId.indexOf(".");
	var IDD=lpStrId.substring(0,ip);	
	var UNI=lpStrId.substring(ip+1,jLen(lpStrId));
	//
	DivDatos = document.getElementById("DivDatosProd");
	ajax=CreateAJAX();
	
	ajax.open("GET", "ajax_funciones.php?Cmd=COMPRAS_GET_PROD_DATOS_X_ID&TxtPar="+IDD);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {			  
				   DivDatos.innerHTML = ajax.responseText
				   var Des=document.getElementById("Pro_TxtDes").value;
				   if(Des.trim().length==0){
   				   document.getElementById("Pro_TxtId").value="";
				   document.getElementById("Pro_TxtDes").value="";
				   document.getElementById("Pro_TxtCod").value="";
				   document.getElementById("Pro_TxtMarca").value="";
				   document.getElementById("Pro_TxtPre").value="";
   				   document.getElementById("TxtDes").value="";  				  	   
				   document.getElementById("TxtCant").value="";
				   document.getElementById("TxtCod").value="";				   
				   document.getElementById("TxtMarca").value="";
				   document.getElementById("TxtCUni").value="";				   
				   alert("Codigo no registrado");
				   document.getElementById("TxtCod").focus();
				   }else{
document.getElementById("TxtCod").value=document.getElementById("Pro_TxtCod").value;
document.getElementById("TxtMarca").value=document.getElementById("Pro_TxtMarca").value;
document.getElementById("TxtDes").value=document.getElementById("Pro_TxtDes").value;
document.getElementById("TxtCUni").value=UNI;				   
document.getElementById("TxtCant").value="1";
document.getElementById("TxtCant").focus();				   
				   }
				   DivDatos = document.getElementById("TAB_AJAX");
				   DivCaption = document.getElementById("TAB_CAPTION");
				   DivCaption.style.visibility="hidden";
				   DivDatos.style.visibility="hidden";		
				   		   
		   }
	}
    ajax.send(null);
	}
}
//**************************************************************************
function fGetProdDatos(lpStrCod){
	if(lpStrCod.trim().length>0){
	DivDatos = document.getElementById("DivDatosProd");
	ajax=CreateAJAX();
	ajax.open("GET", "ajax_funciones.php?Cmd=GET_PROD_DATOS&TxtPar="+lpStrCod);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {			  
				   DivDatos.innerHTML = ajax.responseText
				   var Des=document.getElementById("Pro_TxtDes").value;
				   if(Des.trim().length==0){
   				   document.getElementById("Pro_TxtId").value="";
				   document.getElementById("Pro_TxtDes").value="";
				   document.getElementById("Pro_TxtPre").value="";
				   document.getElementById("Pro_TxtMarca").value="";
   				   document.getElementById("TxtDes").value="";
				   document.getElementById("TxtCant").value="";
				   document.getElementById("TxtCod").value="";				   
				   document.getElementById("TxtMarca").value="";				   
				   alert("Codigo no registrado");
				   document.getElementById("TxtCod").focus();
				   }else{
document.getElementById("TxtMarca").value=document.getElementById("Pro_TxtMarca").value;
document.getElementById("TxtDes").value=document.getElementById("Pro_TxtDes").value;
document.getElementById("TxtCant").value="1";
document.getElementById("TxtCant").focus();
				   }
				   
		   }
	}
    ajax.send(null);
	}
}
//**************************************************************************
function fCancelarPHP(){
	document.getElementById("TxtAc").value="C";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCargar(){
	var EMP=gv("CboEmp");
	var ALM=gv("CboAlm");
	var COM=gv("CboCom");
	var PSER=gv("TxtPSER");
	var PNUM=gv("TxtPNUM");
	if(jL(EMP)==0){alert("Seleccione una empresa");jF("CboEmp");return;}
	if(jL(ALM)==0){alert("Seleccione un almacen");jF("CboAlm");return;}
	if(jL(COM)==0){alert("Seleccione un comprobante");jF("CboCom");return;}
	if(jL(PSER)==0){alert("Ingrese Serie");jF("TxtPSER");return;}
	if(jL(PNUM)==0){alert("Ingrese Numero");jF("TxtPNUM");return;}
	//
	var r=AX("04",COM,PSER,PNUM,ALM);
	if(jVal(r)==0){
		return  AF("Referencia no registrada","CboCom");
	}
	//
	document.getElementById("TxtAc").value="COT";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fAgregar(){
	var NL_M=gv("NL_M");
	var NL_A=gv("NL_A");
	
	var Pro_Id=gv("Pro_TxtId");
	var Pro_Cod=gv("Pro_TxtCod");
	var Pro_Des=gv("Pro_TxtDes");	
	var Alm=gv("CboAlm");
	var Cod=gv("TxtCod");
	var Des=gv("TxtDes");
	var Can=gv("TxtCant");
	var Uni=gv("TxtCUni");
	if(jVal(NL_M)>0){
		if(jVal(NL_A)>=jVal(NL_M)){
			if(!pre("El maximo numero de items es :"+NL_M+", aun asi desea continuar?")){
				document.getElementById("TxtCod").focus();
				return;
			}
		}
	}
	if(jL(Can)==0){alert("La cantidad debe ser mayor a cero");
		document.getElementById("TxtCant").focus();
		return;
	}
	if(jL(Uni)==0){alert("Ingresa Cantidad Unitaria");
		document.getElementById("TxtCUni").focus();
		return;
	}
	Pro_Id=Pro_Id.trim().toUpperCase();
	Pro_Cod=Pro_Cod.trim().toUpperCase();
	Pro_Des=Pro_Des.trim().toUpperCase();
	
	Cod=Cod.trim().toUpperCase();
	Des=Des.trim().toUpperCase();
	
	if(Cod!=Pro_Cod){
		alert("El codigo del producto ha sido alterado");
		document.getElementById("TxtCod").focus();
		return;
	}
	if(Des!=Pro_Des){
		alert("La descripcion del producto ha sido alterada");
		document.getElementById("TxtDes").focus();
		return;
	}

	var R=ValAgregarT(Alm,Cod,Can,Uni)
	if(R==1){alert("Producto sin Stock");
		document.getElementById("TxtCant").focus();		
		return;
	}

	if(R==2){alert("Cantidad origen superior al Stock Actual");
		document.getElementById("TxtCant").focus();		
		return;
	}

	document.getElementById("TxtAc").value="ADD";
	document.getElementById("Frm").submit();
}

function ValAgregarT(Alm,Cod,Can,Uni){
	ajax=CreateAJAX();
	var StrUrl="";
	StrUrl="ajax_funciones.php?Cmd=V_AGRE_T&TxtPar="+Alm+"&TxtPar2="+Cod+"&TxtPar3="+Can+"&TxtPar4="+Uni;
	ajax.open("GET",StrUrl,false);	
	ajax.send(null);
	var StrHtml=ajax.responseText;
	return StrHtml.trim();
}
//**************************************************************************
function fGuardar(){

	var Alm=document.getElementById("CboAlm").value;
	var AlmD=document.getElementById("CboAlmD").value;
	var Fec=document.getElementById("TxtFec").value;	
	var tser=gv("TraSer");
	var tnum=gv("TraNum");
	var Car=gv("TxtCar");

	if(Fec.trim().length==0){
		alert("Ingrese una fecha");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(EsFecha(Fec)==false){
		alert("Fecha no valida, la fecha debe ser ingresada segun el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(Alm.trim().length==0){
		alert("Seleccione el almacen de origen");
		document.getElementById("CboAlm").focus();
		return;
	}

	if(AlmD.trim().length==0){
		alert("Seleccione el almacen de destino");
		document.getElementById("CboAlmD").focus();
		return;
	}	
	if(Alm==AlmD){
		alert("El almacen de destino debe ser distinto al almacen de origen");
		document.getElementById("CboAlmD").focus();
		return;
	}
	//
	if(jLen(tser)>0){
		if(jLen(tnum)==0){
			alert("Ingrese el numero correspondiente");
			jFocus("TraNum");return;
		}
	}
	if(jLen(tnum)>0){
		if(jLen(tser)==0){
			alert("Ingrese la serie correspondiente");
			jFocus("TraSer");return;
		}
	}
	if(jLen(tser)>0 && jLen(tnum)>0){
		var R=AJ("aj.php?Cmd=V3&P1="+tser+"&P2="+tnum);
		if(R=="SN"){
			alert("Serie y numero de transferencia ya registrada");
			jFocus("TraSer");return;
		}
	}
	if(jL(Car)==0){
		return AF("Seleccione un carretillero","TxtCar");
	}
	//
	if(document.getElementById("CmdG").value=="Guardar"){
		var Rpta = confirm("Esta seguro que desea guardar?")		
		if (Rpta==false){
			return;
		}
		document.getElementById("TxtAc").value="G";
	}else{
		var Rpta = confirm("Esta seguro que desea modificar?")		
		if (Rpta==false){
			return;
		}
		document.getElementById("TxtAc").value="M";
	}
	document.getElementById("Frm").submit();
}
/**************************************************************************
	onkeypress="return pulsar(event);"
**************************************************************************/
function pulsar(e) { 	
	var tecla = (document.all) ? e.keyCode :e.which; 
	var Obj=event.srcElement.name;	
	if(Obj=="TxtNom"){
		if(tecla==13){			
			document.getElementById('CmdG').click();			
		}
	}	
	return (tecla!=13); 
} 
//**************************************************************************
function TRANS_ELIMINAR(){
	var id=gv("TxtId");
	var R=AJ("aj.php?Cmd=TRA_ELI&P1="+id);
	if(R=="S"){
		var Rpta = confirm("La presente transferencia ha sido validada . Aun asi desea eliminar?")		
		if (Rpta==true){
			document.getElementById("TxtAc").value="E";
			document.getElementById("Frm").submit();
		}
	}else{
		document.getElementById("TxtAc").value="E";
		document.getElementById("Frm").submit();
	}
}

function TRANS_ANULAR(){
	var id=gv("TxtId");
	var R=AJ("aj.php?Cmd=TRA_ELI&P1="+id);
	if(R=="S"){
		var Rpta = confirm("La presente transferencia ha sido validada . Aun asi desea anular?")		
		if (Rpta==true){
			document.getElementById("TxtAc").value="A";
			document.getElementById("Frm").submit();
		}
	}else{
		document.getElementById("TxtAc").value="A";
		document.getElementById("Frm").submit();
	}
}
function EM_OC(){
	var Emp=gv("CboEmp");	
	var r=AX("02",Emp);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}
function EM_OCD(){
	var Emp=gv("CboEmpD");	
	var r=AX("00",Emp);
	if(r=="X"){
		CBO_CLS("CboAlmD",1);
	}else{
		CBO_FILL("CboAlmD",r,0);
	}
}
function ChK(){
	if(Verificar()==1){		
		document.getElementById("TxtAc").value="KCH";
		document.getElementById("Frm").submit();	
	}
}
//
function fGuardar_CORREGIDO(){
	var Id=jVal(document.getElementById("TxtId").value);
	var Emp=document.getElementById("CboEmp").value;
	var EmpD=document.getElementById("CboEmpD").value;
	var Alm=document.getElementById("CboAlm").value;
	var AlmD=document.getElementById("CboAlmD").value;
	var Fec=document.getElementById("TxtFec").value;
	var tser=gv("TraSer");
	var tnum=gv("TraNum");
	var Car=gv("TxtCar");

	if(Fec.trim().length==0){
		alert("Ingrese una fecha");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(EsFecha(Fec)==false){
		alert("Fecha no valida, la fecha debe ser ingresada segun el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(jL(Emp)==0){
		alert("Seleccione una empresa de origen");
		jF("CboEmp");return;
	}
	if(Alm.trim().length==0){
		alert("Seleccione el almacen de origen");
		document.getElementById("CboAlm").focus();
		return;
	}
	if(jL(EmpD)==0){
		alert("Seleccione una empresa de destino");
		jF("CboEmpD");return;
	}
	if(AlmD.trim().length==0){
		alert("Seleccione el almacen de destino");
		document.getElementById("CboAlmD").focus();
		return;
	}	
	if(Emp+Alm==EmpD+AlmD){
		alert("El almacen de destino debe ser distinto al almacen de origen");
		document.getElementById("CboAlmD").focus();
		return;
	}
	//
	if(jLen(tser)>0){
		if(jLen(tnum)==0){
			alert("Ingrese el numero correspondiente");
			jFocus("TraNum");return;
		}
	}
	if(jLen(tnum)>0){
		if(jLen(tser)==0){
			alert("Ingrese la serie correspondiente");
			jFocus("TraSer");return;
		}
	}
	if(jLen(tser)>0 && jLen(tnum)>0){
		var R=AJ("aj.php?Cmd=V3&P1="+tser+"&P2="+tnum+"&P3="+Id);
		if(R=="SN"){
			alert("Serie y numero de transferencia ya registrada");
			jFocus("TraSer");return;
		}
	}
	if(jL(Car)==0){
		alert("Seleccione un carretillero");
		jFocus("TxtCar");return;
	}
	//
	if(document.getElementById("CmdG").value=="Guardar"){
		var Rpta = confirm("Esta seguro que desea guardar?")		
		if (Rpta==false){
			return;
		}
		document.getElementById("TxtAc").value="G";
	}else{
		var Rpta = confirm("Esta seguro que desea modificar?")		
		if (Rpta==false){
			return;
		}
		document.getElementById("TxtAc").value="M";
	}
	document.getElementById("Frm").submit();
}
function Verificar(){
	var DATA="";
	document.getElementById("TxtDAT").value="";
	frm = document.getElementById("Frm");
	if (!frm) return;
	for(i=0; i<frm.elements.length; i++)
	{
		if (frm.elements[i].type == "checkbox")	{
			if(frm.elements[i].name.substring(0,1)=="Z"){
				if(frm.elements[i].checked==true){
					var ok=frm.elements[i].name;
					ok=ok.substring(2,7);
					DATA=DATA+ok+",";
				}
			}
		}
	}	
	if(jLen(DATA)==0){
		alert("Ningun registro seleccionado, seleccione un registro marcando el check correspondiente");
		return 0;
	}else{		
		document.getElementById("TxtDAT").value=DATA;
		return 1;
	}
}
//
function _SER(O){
	var s=gv(O);
	if(jL(s)==1)s="000"+s;
	if(jL(s)==2)s="00"+s;
	if(jL(s)==3)s="0"+s;
	sv(O,s);
}